version: '3'

services:
###> doctrine/doctrine-bundle ###
  database:
    image: postgres:${POSTGRES_VERSION:-13}-alpine
    environment:
      POSTGRES_DB: ${POSTGRES_DB:-app}
      # You should definitely change the password in production
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-ChangeMe}
      POSTGRES_USER: ${POSTGRES_USER:-symfony}
    volumes:
      - db-data:/var/lib/postgresql/data:rw
    networks:
      - default
      # You may use a bind-mounted host directory instead, so that it is harder to accidentally remove the volume and lose all your data!
      # - ./docker/db/data:/var/lib/postgresql/data:rw
###< doctrine/doctrine-bundle ###

  web:
    image: registry.git.step.polymtl.ca:443/caillou-roches-hackatown/calendrier
    build:
      context: .
      dockerfile: docker/Dockerfile.prod
    labels:
      traefik.enable: true
      traefik.http.routers.calendrier.rule: "Host(`calendar-hackatown.step.polymtl.ca`)"
      traefik.http.routers.calendrier.tls: true
      traefik.http.routers.calendrier.tls.certresolver: default
    networks:
      - default
      - traefik_default

volumes:
###> doctrine/doctrine-bundle ###
  db-data:
###< doctrine/doctrine-bundle ###

networks:
  traefik_default:
    external: true
